## ros-indigo-naoqi-dcm-driver 0.0.3

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8.3)
project(naoqi_dcm_driver)
set(projectName
  naoqi_dcm_driver
)

## Find catkin macros and libraries
find_package(catkin REQUIRED COMPONENTS
  roscpp
  rospy
  std_msgs
  geometry_msgs
  tf
  hardware_interface
  controller_manager
  sensor_msgs
  naoqi_libqi
  naoqi_libqicore
  diagnostic_msgs
  diagnostic_updater
)

find_package(Boost REQUIRED)

add_definitions(-DLIBQI_VERSION=${naoqi_libqi_VERSION_MAJOR}${naoqi_libqi_VERSION_MINOR})

#Needed for ros packages
catkin_package()
catkin_package(CATKIN_DEPENDS roscpp geometry_msgs tf std_msgs sensor_msgs hardware_interface controller_manager)

include_directories(include
  ${catkin_INCLUDE_DIRS}
  ${NAOqi_INCLUDE_DIRS}
  ${Boost_INCLUDE_DIRS}
)

add_executable(${projectName} 
  src/robot_driver.cpp 
  src/robot.cpp
  src/tools.cpp
  src/diagnostics.cpp
  src/memory.cpp
  src/dcm.cpp
  src/motion.cpp
  include/naoqi_dcm_driver/robot.hpp
  include/naoqi_dcm_driver/tools.hpp
  include/naoqi_dcm_driver/diagnostics.hpp
  include/naoqi_dcm_driver/memory.hpp
  include/naoqi_dcm_driver/dcm.hpp
  include/naoqi_dcm_driver/motion.hpp
)

target_link_libraries(${projectName}
  ${catkin_LIBRARIES}
  ${naoqi_libqi_LIBRARIES}
  ${Boost_LIBRARIES}
)

add_dependencies(${projectName} 
  ${catkin_EXPORTED_TARGETS}
)

install(TARGETS ${projectName}
  DESTINATION ${CATKIN_PACKAGE_BIN_DESTINATION})

=== debian/changelog ===
ros-indigo-naoqi-dcm-driver (0.0.3-0trusty) trusty; urgency=high

  * Update README
  * Update README
  * Fix typo in README
  * changing the speed of set_angles
  * changes in stiffness when shutting down
  * updating joint comparison
  * fixing the diagnostics
  * adding electical current and battery info to Diagnostics
  * adding a possibility to change stiffness
  * few changes in ReadJoints
  * Read joints names from pepper_control config
    reading joints names from yaml file
  * adding headers
  * define controlled joints from ROS controllers
  * removed joint publishing from ALMotion
  * removing velocity control and adding moveto subscriber since velocity control is already in Naoqi Driver
  * Smooth robot motion
  * Merge pull request #1 <https://github.com/ros-naoqi/naoqi_dcm_driver/issues/1> from ros-naoqi/update_links
    updated repo URL
  * smooth changed in stiffness
  * update repo urls
  * few changes in log
  * reduce Naoqi log
  * fix reading motor groups from launch
  * fixing crash at shutting down
  * clean robot.hpp
  * fixing typos
  * Contributors: Mikael Arguedas, Natalia Lyubova

 -- Natalia Lyubova <natalia.lyubova@gmail.com>  Wed, 15 Nov 2017 23:00:00 -0000

ros-indigo-naoqi-dcm-driver (0.0.2-0trusty) trusty; urgency=high

  * fixed Autonomous Life call
  * wakeup the robot during initialization
  * Contributors: nlyubova

 -- Natalia Lyubova <natalia.lyubova@gmail.com>  Mon, 19 Sep 2016 22:00:00 -0000

ros-indigo-naoqi-dcm-driver (0.0.1-0trusty) trusty; urgency=high

  * refactoring
  * adding a wrapper for Memory Proxy
  * updating the README
  * exit Touch service
  * adding the diagnostics class
  * adding tools for AnyValue conversion
  * fixing velocity control
  * initial commit
  * Contributors: Natalia Lyubova

 -- Natalia Lyubova <natalia.lyubova@gmail.com>  Thu, 15 Sep 2016 22:00:00 -0000

=== debian/control ===
Source: ros-indigo-naoqi-dcm-driver
Section: misc
Priority: extra
Maintainer: Natalia Lyubova <natalia.lyubova@gmail.com>
Build-Depends: debhelper (>= 9.0.0), ros-indigo-catkin, ros-indigo-controller-manager, ros-indigo-diagnostic-msgs, ros-indigo-diagnostic-updater, ros-indigo-geometry-msgs, ros-indigo-hardware-interface, ros-indigo-naoqi-libqi, ros-indigo-naoqi-libqicore, ros-indigo-roscpp, ros-indigo-rospy, ros-indigo-sensor-msgs, ros-indigo-std-msgs, ros-indigo-tf
Homepage: 
Standards-Version: 3.9.2

Package: ros-indigo-naoqi-dcm-driver
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-indigo-controller-manager, ros-indigo-geometry-msgs, ros-indigo-hardware-interface, ros-indigo-naoqi-libqi, ros-indigo-naoqi-libqicore, ros-indigo-roscpp, ros-indigo-rospy, ros-indigo-sensor-msgs, ros-indigo-std-msgs, ros-indigo-tf
Description: Package containing the hardware interface to connect to Nao, Romeo, or Pepper robots.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/indigo/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh $@ -v --buildsystem=cmake

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/indigo" \
		-DCMAKE_PREFIX_PATH="/opt/ros/indigo"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-indigo-naoqi-dcm-driver//opt/ros/indigo/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_install
